Modify

Ticket #340 (closed task: fixed)

Opened 4 years ago

Last modified 4 years ago

Error - Can't Add Event

Reported by: anna Owned by:
Priority: major Milestone: 3.0-RC1
Component: Events Severity:
Keywords: Cc:
Who will test this:

Description

Tried to add an event to both anna.plumi.org and latest-v.plumi.org, but couldn't due to an error.

Time 2010/02/22 17:55:51.325 US/Eastern User Name (User Id) admin (admin) Request URL  http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit Exception Type KeyError? Exception Value 'location'

Traceback (innermost last):

  • Module ZPublisher.Publish, line 119, in publish
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFPlone.FactoryTool?, line 379, in call
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFFormController.FSControllerPageTemplate, line 90, in call
  • Module Products.CMFFormController.BaseControllerPageTemplate?, line 28, in _call
  • Module Products.CMFFormController.ControllerBase?, line 231, in getNext
  • Module Products.CMFFormController.Actions.TraverseToAction?, line 80, in call
  • Module Products.CMFFormController.Actions.TraverseTo?, line 38, in call
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFFormController.FSControllerPageTemplate, line 90, in call
  • Module Products.CMFFormController.BaseControllerPageTemplate?, line 31, in _call
  • Module Shared.DC.Scripts.Bindings, line 313, in call
  • Module Shared.DC.Scripts.Bindings, line 350, in _bindAndExec
  • Module Products.CMFCore.FSPageTemplate, line 216, in _exec
  • Module Products.CMFCore.FSPageTemplate, line 155, in pt_render
  • Module Products.PageTemplates.PageTemplate?, line 98, in pt_render
  • Module zope.pagetemplate.pagetemplate, line 117, in pt_render Warning: Macro expansion failed Warning: exceptions.KeyError?: 'macro'
  • Module zope.tal.talinterpreter, line 271, in call
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 861, in do_defineMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 891, in do_useMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 957, in do_defineSlot
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 861, in do_defineMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 957, in do_defineSlot
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 949, in do_defineSlot
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 861, in do_defineMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 891, in do_useMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 855, in do_condition
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 949, in do_defineSlot
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 855, in do_condition
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 824, in do_loop_tal
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 824, in do_loop_tal
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 586, in do_setLocal_tal
  • Module zope.tales.tales, line 696, in evaluate URL: file:/var/www/anna.plumi.org/plumi-buildout/eggs/Products.LinguaPlone-3.0c4-py2.4.egg/Products/LinguaPlone/skins/LinguaPlone/translate_item.cpt Line 148, Column 32 Expression: <PythonExpr? other.Schemata()[fieldset][fieldname]> Names:

{'container': <PloneSite? at /testplone>,

'context': <ATEvent at /testplone/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126 used for /testplone/Members/admin/events>, 'default': <object object at 0x7fc5538b0230>, 'here': <ATEvent at /testplone/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126 used for /testplone/Members/admin/events>, 'loop': {u'field': <Products.PageTemplates.Expressions.PathIterator? object at 0xe980190>,

u'fieldset': <Products.PageTemplates.Expressions.PathIterator? object at 0x7fc5417acdd0>},

'nothing': None, 'options': {'args': (),

'state': <Products.CMFFormController.ControllerState?.ControllerState? object at 0x7fc541006810>},

'repeat': <Products.PageTemplates.Expressions.SafeMapping? object at 0x7fc5423d83f8>, 'request': <HTTPRequest, URL= http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit>, 'root': <Application at >, 'template': <FSControllerPageTemplate at /testplone/translate_item used for /testplone/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126>, 'traverse_subpath': [], 'user': <PropertiedUser? 'admin'>}

  • Module Products.PageTemplates.ZRPythonExpr, line 49, in call traceback_info: other.Schemata()[fieldset][fieldname]
  • Module PythonExpr?, line 1, in <expression>
  • Module AccessControl?.ZopeGuards?, line 67, in guarded_getitem
  • Module Products.Archetypes.Schema, line 240, in getitem

KeyError?: 'location'

Display traceback as text

REQUEST form description_text_format 'text/plain' expirationDate_ampm 'AM' endDate '2010-02-28 09:30 PM' contributors [] startDate '2010-02-28 02:00 PM' text '\r\n<p>More information about this event, for example what topics will be addressed at this meeting, or what films will screen at this festival, or what bands will play at this gig.</p>\r\n' endDate_day '28' form_submit 'Save' contactEmail 'contact@…' text_text_format 'text/html' effectiveDate_ampm 'AM' expirationDate contactName 'Joan Smith' effectiveDate_month '00' contactPhone '+64 876 365' rights_text_format 'text/html' id 'event.2010-02-22.4967293126' endDate_month '02' startDate_day '28' attendees ['Jim', 'Jill', 'Gary', 'Anna'] last_referer ' http://anna.plumi.org/publish' effectiveDate title 'A Test Event' startDate_month '02' endDate_year '2010' effectiveDate_minute '00' effectiveDate_year '0000' relatedItems [] location 'Melbourne' effectiveDate_day '00' startDate_year '2010' excludeFromNav False expirationDate_hour '12' expirationDate_day '00' expirationDate_year '0000' expirationDate_month '00' text_file <ZPublisher.HTTPRequest.FileUpload? instance at 0x7fc54244cf38> fieldset 'default' description 'This is a test event for the Plumi manual. The event is about such and such.' endDate_hour '09' startDate_ampm 'PM' startDate_hour '02' add_reference {'destination': , 'field': , 'type': } startDate_minute '00' endDate_ampm 'PM' eventType_keywords ['music', 'festival', 'video', 'art', 'dance', 'swap', 'conference'] eventUrl 'www.thisevent.com' eventType_existing_keywords [] language rights endDate_minute '30' allowDiscussion True effectiveDate_hour '12' creators admin? expirationDate_minute '00' cookies I18N_LANGUAGE 'en' ac 'NjE2NDZkNjk2ZTo2NTZkNmY3MjY3MzQzMg%3D%3D' statusmessages None lazy items SESSION <bound method SessionDataManager?.getSessionData of <SessionDataManager? at /session_data_manager>> other startDate '2010-02-28 02:00 PM' endDate '2010-02-28 09:30 PM' VIRTUAL_URL_PARTS (' http://anna.plumi.org', 'Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit') description_text_format 'text/plain' VIRTUAL_URL ' http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit' factoryinfo {'stack': ['Event', 'event.2010-02-22.4967293126', 'atct_edit'], 'Event': <TempFolder? at /testplone/Members/admin/events/portal_factory/Event>} URL5 ' http://anna.plumi.org/Members/admin' URL4 ' http://anna.plumi.org/Members/admin/events' ac 'NjE2NDZkNjk2ZTo2NTZkNmY3MjY3MzQzMg%3D%3D' URL6 ' http://anna.plumi.org/Members' URL0 ' http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit' URL3 ' http://anna.plumi.org/Members/admin/events/portal_factory' URL2 ' http://anna.plumi.org/Members/admin/events/portal_factory/Event' AUTHENTICATION_PATH 'testplone/vhm' disable_border True LANGUAGE 'en' AUTHENTICATED_USER <PropertiedUser? 'admin'> SERVER_URL ' http://anna.plumi.org' ACTUAL_URL ' http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit' fieldset 'default' description 'This is a test event for the Plumi manual. The event is about such and such.' URL ' http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit' PUBLISHED <FactoryTool? at /testplone/portal_factory used for /testplone/Members/admin/events> controller_state <Products.CMFFormController.ControllerState?.ControllerState? object at 0x7fc541006810> TraversalRequestNameStack? [] language _ec_cache {140485181155216: <Products.PageTemplates.Expressions.ZopeContext? object at 0xe90df10>, 140485181156944: <Products.PageTemplates.Expressions.ZopeContext? object at 0xe8f3a10>} _pts_is_rtl False title 'A Test Event' VirtualRootPhysicalPath? (, 'testplone') URL7 ' http://anna.plumi.org' LANGUAGE_TOOL <Products.PloneLanguageTool?.LanguageTool?.LanguageBinding? instance at 0x7fc5421e5d40> BASE0 ' http://anna.plumi.org' BASE1 ' http://anna.plumi.org/Members' BASE2 ' http://anna.plumi.org/Members/admin' BASE3 ' http://anna.plumi.org/Members/admin/events' BASE4 ' http://anna.plumi.org/Members/admin/events/portal_factory' BASE5 ' http://anna.plumi.org/Members/admin/events/portal_factory/Event' BASE6 ' http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126' BASE7 ' http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit' URL1 ' http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126' URL0  http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit URL1  http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126 URL2  http://anna.plumi.org/Members/admin/events/portal_factory/Event URL3  http://anna.plumi.org/Members/admin/events/portal_factory URL4  http://anna.plumi.org/Members/admin/events URL5  http://anna.plumi.org/Members/admin URL6  http://anna.plumi.org/Members URL7  http://anna.plumi.org BASE0  http://anna.plumi.org BASE1  http://anna.plumi.org/Members BASE2  http://anna.plumi.org/Members/admin BASE3  http://anna.plumi.org/Members/admin/events BASE4  http://anna.plumi.org/Members/admin/events/portal_factory BASE5  http://anna.plumi.org/Members/admin/events/portal_factory/Event BASE6  http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126 BASE7  http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit environ HTTP_X_FORWARDED_SERVER 'anna.plumi.org' HTTP_REFERER ' http://anna.plumi.org/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/edit' HTTP_ACCEPT_LANGUAGE 'en-us,en;q=0.5' SERVER_SOFTWARE 'Zope/(unreleased version, python 2.4.6, linux2) ZServer/1.1 Plone/3.3.4' SCRIPT_NAME REQUEST_METHOD 'POST' PATH_INFO '/VirtualHostBase/http/anna.plumi.org:80/testplone/VirtualHostRoot/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit' SERVER_PROTOCOL 'HTTP/1.1' channel.creation_time 1266821744 CONNECTION_TYPE 'Keep-Alive' HTTP_ACCEPT_CHARSET 'ISO-8859-1,utf-8;q=0.7,*;q=0.7' HTTP_USER_AGENT 'Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8' HTTP_COOKIE 'I18N_LANGUAGE="en"; ac="NjE2NDZkNjk2ZTo2NTZkNmY3MjY3MzQzMg%3D%3D"' SERVER_NAME '0.0.0.0' REMOTE_ADDR '127.0.0.1' HTTP_VIA '1.1 anna.plumi.org' PATH_TRANSLATED '/VirtualHostBase/http/anna.plumi.org:80/testplone/VirtualHostRoot/Members/admin/events/portal_factory/Event/event.2010-02-22.4967293126/atct_edit' SERVER_PORT '8080' CONTENT_LENGTH '7989' HTTP_HOST '127.0.0.1:8080' HTTP_ACCEPT 'text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8' GATEWAY_INTERFACE 'CGI/1.1' HTTP_X_FORWARDED_FOR '203.217.76.2' HTTP_X_FORWARDED_HOST 'anna.plumi.org' CONTENT_TYPE 'multipart/form-data; boundary=---------------------------13096814681090509261015362391' HTTP_ACCEPT_ENCODING 'gzip,deflate'

Attachments

Change History

comment:1 Changed 4 years ago by anna

  • Milestone changed from 3.0-beta2 to 3.0-Final

comment:2 Changed 4 years ago by and

I just tested this and I am also getting a similar error. Something to do with the location?

comment:3 Changed 4 years ago by mike

Is this bug still there? I just tried to add an event (with and without filling the location field) without any problems.

comment:4 Changed 4 years ago by and

  • Status changed from new to closed
  • Resolution set to fixed

Also seems to be working for me now, will close.

View

Add a comment

Modify Ticket

Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.